Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class DbConnectionProvider

    java.lang.Object
      org.makumba.commons.DbConnectionProvider

    public class DbConnectionProvider

extends Object

A group of database connections, at most one per database name. They can be closed all at a time. This object is not thread-safe. The typical use is database accesses made by a JSP page (which take place all in the same thread of the servlet engine).

Author:
  Cristian Bogdan

Field Summary
`(package private) Map<String,Transaction>` | `connections`

Constructor Summary
`DbConnectionProvider()`

Method Summary
`void` | `close()` Close all connections.
`protected void` | `finalize()`
`Transaction` | `getConnectionTo(String dbname)`
`TransactionProvider` | `getTransactionProvider()`
`void` | `setContext(Attributes attributes)`
`void` | `setTransactionProvider(TransactionProvider tp)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connections

    Map<String,Transaction> connections

Constructor Detail

### DbConnectionProvider

    public DbConnectionProvider()

Method Detail

### getConnectionTo

    public Transaction getConnectionTo(String dbname)

### close

    public void close()

  Close all connections.

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `Object`

### setTransactionProvider

    public void setTransactionProvider(TransactionProvider tp)

### getTransactionProvider

    public TransactionProvider getTransactionProvider()

### setContext

    public void setContext(Attributes attributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20